Nieuwere NodeJS versies

Technische problemen? Hier kun jij jouw vragen stellen!
Forumregels
Check eerst onze helpsectie (https://www.antagonist.nl/help) voordat je hier een vraag stelt. Voor de meeste vragen hebben we uitgebreide handleidingen met uitleg.
Plaats reactie
Steven Vroom
Berichten: 4
Lid geworden op: 09 aug 2021, 14:44

Nieuwere NodeJS versies

Bericht door Steven Vroom » 16 jun 2022, 14:18

Op dit moment kan je alleen NodeJS v12 en v14 gebruiken op antagonist. En dat beging langzamerhand wel een probleem te worden. v12 Word al niet meer support, v14 zit bijna in zijn laatste jaar van LTS, en ik merk dat meerdere belangrijke packages zoals Svelte en Strapi recent hun ondersteuning van versie 14 hebben laten vallen.

Het lijkt mij tijd om wat nieuwere versies (v16 en v18) van NodeJS beschikbaar te stellen. Ik merk in ieder geval dat ik nu al verschillende packages niet meer kan updaten.

Joris de Leeuw
Antagonist staff
Berichten: 1413
Lid geworden op: 13 feb 2016, 20:15

Re: Nieuwere NodeJS versies

Bericht door Joris de Leeuw » 17 jun 2022, 08:29

Ik heb als wens genoteerd Node.js 16 toe te voegen aan ons platform. Betreffende Node.js 18 zal dat sowieso voorlopig nog niet mogelijk zijn gezien dit geen LTS versie is. Wij draaien enkel versies die afdoende zijn getest en daardoor productiewaardig zijn.
Met vriendelijke groet,

Joris de Leeuw
Antagonist staff

Joris de Leeuw
Antagonist staff
Berichten: 1413
Lid geworden op: 13 feb 2016, 20:15

Re: Nieuwere NodeJS versies

Bericht door Joris de Leeuw » 20 jun 2022, 12:44

Goed nieuws!

Node.js 16 is vandaag uitgerold op ons platform. Je kan Node.js 16 nu ook kiezen bij het opzetten van een Node.js applicatie via DirectAdmin. :)

Ik raad overigens aan niet zomaar tussen Node.js versies te wisselen. Het beste kan je een geheel nieuwe applicatie opzetten. Als je tussen versies wisselt zorgt dat vaak voor problemen door verschil in Node.js versies en verschillen in achterliggende modules.
Met vriendelijke groet,

Joris de Leeuw
Antagonist staff

Plaats reactie